with GNATCOM.Errors;

package body MSHTML.IHTMLEditHost_Interface is

   procedure Initialize (This : in out IHTMLEditHost_Type) is
   begin
      Set_IID (This, IID_IHTMLEditHost);
   end Initialize;

   function Pointer (This : IHTMLEditHost_Type)
     return Pointer_To_IHTMLEditHost
   is
   begin
      return To_Pointer_To_IHTMLEditHost (Address (This));
   end Pointer;

   procedure Attach (This    : in out IHTMLEditHost_Type;
                     Pointer : in     Pointer_To_IHTMLEditHost)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   procedure SnapRect
     (This      : IHTMLEditHost_Type;
      pIElement : Pointer_To_IHTMLElement;
      prcNew    : Pointer_To_tagRECT;
      eHandle   : uELEMENT_CORNER)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.SnapRect
         (Pointer (This),
          pIElement,
          prcNew,
          eHandle));

   end SnapRect;

end MSHTML.IHTMLEditHost_Interface;

